<?php

$lang['required'] 			= "'%s' is required.";
$lang['isset']				= "'%s' must have a value.";
$lang['valid_email']		= "'%s' must contain an email address.";
$lang['valid_emails'] 		= "'%s' must contain only email addresses.";
$lang['valid_url'] 			= "'%s' must contain a valid URL.";
$lang['valid_ip'] 			= "'%s' must contain a valid IP.";
$lang['min_length']			= "'%s' must be at least %s characters in length.";
$lang['max_length']			= "'%s' can not exceed %s characters in length.";
$lang['exact_length']		= "'%s' must be exactly %s characters in length.";
$lang['alpha']				= "'%s' may only contain alphabetical characters.";
$lang['alpha_numeric']		= "'%s' may only contain alpha-numeric characters.";
$lang['alpha_dash']			= "'%s' may only contain alpha-numeric characters, underscores, and dashes.";
$lang['numeric']			= "'%s' must contain only numbers.";
$lang['is_numeric']			= "'%s' must contain only numeric characters.";
$lang['integer']			= "'%s' must contain an integer.";
$lang['matches']			= "'%s' does not match the %s field.";
$lang['is_natural']			= "'%s' must contain only positive numbers.";
$lang['is_natural_no_zero']	= "'%s' must contain a number greater than zero.";

/* custom values */
$lang['is_phone']	= "'%s' must contain a phone number.";
$lang['is_date']	= "'%s' must contain a date.";
$lang['alpha_num_spaces']	= "'%s' may only contain alpha-numeric characters, spaces, underscores, and dashes.";
$lang['path_file'] = "'%s' must be an existing file.";
$lang['path_dir'] = "'%s' must be an existing directory.";
$lang['any_value'] = "any value";
$lang['is_uri'] = "'%s' must be a valid URL";
$lang['uri_exists'] = "'%s' must be a valid and existing URL";

/* End of file form_validation_lang.php */
/* Location: ./system/application/language/english/form_validation_lang.php */