<?php
$lang['installer'] = array(
'install_phsite' => "Install phSite CMS",
'install' => "Install",
'db_exists' => "The CMS has already been installed; you cannot run this script.",
'db_hostname' => 'Database host name',
'hint_hostname' => "The database host name is usually 'localhost', but can be in the form of a URL 'my-database-server.com' or IP address '192.192.0.100'. Refer to the support pages of your web hosting provider for the correct settings.",
'db_username' => 'Database username',
'db_password' => 'Database password',
'db_database' => 'Database name',
'db_driver' => 'Database type',
'db_prefix' => 'Database table prefix',
'hint_prefix' => "A table prefix is optional &mdash; however if you are sharing this database with other applications, it is advised to use a prefix so that the database table names do not conflict with the other applications. A suggested prefix is 'phsite_'.",
'db_config' => 'Database connection information',
'create_admin_user' => "Create administrator account",
'install_step' => "Step %s",
'install_success' => "phSite CMS has been installed successfully.",
'installer_languages' => 'Installer languages',
'install_write_tables' => 'Write tables to database',
'confirm_install' => 'Yes, please proceed with writing the tables to the database.',
'confirm_install_explain' => 'The database connection has been established. Please confirm that you would like to proceed in writing the tables to the database.',
'confirm_install' => 'Yes, please proceed with writing the tables to the database.',
'htaccess_exists' => 'The .htaccess file already exists',
'htaccess_success' => 'The .htaccess file was written successfully',
'htaccess_failure' => 'The .htaccess file could not be written',
'db_config_success' => 'The database configuration file was written successfully',
'db_config_failure' => 'The database configuration file could not be written',
'admin_user_success' => 'The admin user was created successfully',
'admin_user_failure' => 'The admin user could not be created',
);

$lang['db_drivers'] = array(
'mssql' => 'MS SQL',
'mysql' => 'MySQL',
'mysqli' => 'MySQLi',
'oci8' => 'Oracle',
'odbc' => 'ODBC',
'postgre' => 'PostgreSQL',
'sqlite' => 'SQLite',
);

/* End of file phsite_lang.php */
/* Location: ./system/application/language/english/phsite_lang.php */