<?php
$lang['file_size_abbr'] = array(
'bytes' => 'octets',
'k' => 'kO',
'M' => 'MO',
'G' => 'GO',
'T' => 'TO',
'P' => 'PO',
'E' => 'EO',
'Z' => 'ZO',
'Y' => 'YO',
'Ki' => 'KiO',
'Mi' => 'MiO',
'Gi' => 'GiO',
'Ti' => 'TiO',
'Pi' => 'PiO',
'Ei' => 'EiO',
'Zi' => 'ZiO',
'Yi' => 'YiO',
);
$lang['mime_cat'] = array(
'audio' => 'audio',
'image' => 'image',
'application' => 'autre',
'text' => 'texte',
'video' => 'vid&eacute;o',
'any' => 'toutes types'
);

$lang['fallbacks'] = array(
'quicktime' => 'Vous avez besoin le logiciel <a href="http://www.apple.com/quicktime/download/">QuickTime player</a> pour visionner ce contenu.',
'wmv_win' => 'You need <a href="http://www.microsoft.com/windows/windowsmedia/player/download/download.aspx" rel="external">Windows Media Player</a> in order to play this content.',
'wmv_mac' => 'You need the <a href="http://www.telestream.net/flip4mac-wmv/overview.htm" rel="external">Flip4Mac WMV QuickTime component</a> in order to play this content.',
'wmv_lin' => 'You need <a href="http://ffmpeg.org" rel="external">FFmpeg</a> or <a href="http://www.mplayerhq.hu/design7/dload.html" rel="external">Mplayer + Mencoder</a> in order to play this content.',
'theora' => 'You need a browser that supports <a href="http://en.wikipedia.org/wiki/Theora#Browser_plugins">Ogg Theora video</a> or a valid <a href="http://java.com/en/download/manual.jsp">Java runtime</a> in order to play this content.',
'real' => 'You need <a href="http://www.real.com" rel="external">RealPlayer</a> in order to play this content.',
'ogg' => 'You need a browser that supports the <a href="http://en.wikipedia.org/wiki/Theora#Browser_plugins">HTML 5 audio tag</a> or a valid <a href="http://java.com/en/download/manual.jsp">Java runtime</a> in order to play this content.',
'webm_VP8' => 'You need a <a href="http://www.webmproject.org/users/" title="Playing WebM video (WebM project)">browser or player that supports WebM/VP8 video</a> in order to play this content.',
'mp3' => 'You need a browser that supports the <a href="http://en.wikipedia.org/wiki/Theora#Browser_plugins">HTML 5 audio tag</a> and mp3 playback in order to play this content.',
'm4a' => 'You need a browser that supports the <a href="http://en.wikipedia.org/wiki/Theora#Browser_plugins">HTML 5 audio tag</a> and AAC playback in order to play this content.',
'm4b' => 'You need a browser that supports the <a href="http://en.wikipedia.org/wiki/Theora#Browser_plugins">HTML 5 audio tag</a> and AAC playback in order to play this content.',
);

$lang['mime'] = array(
'ai' => "image Adobe Illustrator",
'aif' => "audio <acronym title=\"Audio Interchange Format\">AIFF</acronym>",
'aifc' => "audio <acronym title=\"Audio Interchange Format\">AIFF</acronym>",
'aiff' => "audio <acronym title=\"Audio Interchange Format\">AIFF</acronym>",
'asf' => "vid&eacute;o Microsoft Advanced Systems Format",
'asx' => "Advanced Stream Redirector",
'au' => "audio Sun/NeXT/DEC",
'avi' => "vid&eacute;o <acronym title=\"Audio Video Interleave\">AVI</acronym>",
'bin' => "archive MacBinary",
'bmp' => "image Bitmap",
'css' => "Cascading Style Sheet",
'csv' => "texte de donn&eacute;es avec valeurs s&eacute;par&eacute;s par des virgules",
'dcr' => "Shockwave Director",
'dmg' => "image disque Apple",
'doc' => "document Microsoft Word",
'docx' => "Microsoft Word Open <acronym title=\"Extensible Markup Language\">XML</acronym> Document",
'dot' => "gabarit Microsoft Word",
'dotx' => "gabarit Microsoft Word Open <acronym title=\"Extensible Markup Language\">XML</acronym>",
'dv' => "vid&eacute;o format DV",
'eps' => "image Encapsulated PostScript",
'f4v' => "vid&eacute;o Flash",
'flac' => "audio <acronym title=\"Free Lossless Audio Codec\">FLAC</acronym>",
'flac' => "audio <acronym title=\"Free Lossless Audio Codec\">FLAC</acronym>",
'flv' => "vid&eacute;o Flash",
'gif' => "image <acronym title=\"Graphical Interchange Format\">GIF</acronym>",
'gz' => "archive GNU zip",
'gzip' => "archive GNU zip",
'ico' => "Microsoft Windows icon",
'j2k' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym> 2000",
'jp2' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym> 2000",
'jpe' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym>",
'jpeg' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym>",
'jpf' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym> 2000",
'jpg' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym>",
'jpm' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym> 2000",
'jpx' => "image <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym> 2000",
'js' => "JavaScript",
'm1v' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-1",
'm2a' => "audio <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-2",
'm2t' => "flux de transport audio-vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-2",
'm2v' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-2",
'm3u' => "liste d'&eacute;coute MP3",
'm4a' => "audio <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-4",
'm4b' => "livre audio <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-4",
'm4u' => "liste d'&eacute;coute <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-4",
'm4v' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-4",
'mid' => "audio <acronym title=\"Musical Instrument Digital Interface\">MIDI</acronym>",
'midi' => "audio <acronym title=\"Musical Instrument Digital Interface\">MIDI</acronym>",
'mj2' => "vid&eacute;o Motion <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym> 2000",
'mjpg' => "vid&eacute;o Motion <acronym title=\"Joint Photographic Experts Group\">JPEG</acronym>",
'mka' => "audio Matroska",
'mkv' => "vid&eacute;o Matroska",
'mov' => "vid&eacute;o QuickTime",
'mp2' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-2",
'mp3' => "audio MP3",
'mp4' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-4",
'mpe' => "<acronym title=\"Moving Picture Experts Group\">MPEG</acronym> Movie",
'mpeg' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>",
'mpeg4' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>-4",
'mpg' => "vid&eacute;o <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>",
'mpga' => "audio <acronym title=\"Moving Picture Experts Group\">MPEG</acronym>",
'odb' => "base de donn&eacute;es OpenDocument",
'odc' => "tableau OpenDocument",
'odf' => "formule OpenDocument",
'odg' => "dessin OpenDocument",
'odi' => "image OpenDocument",
'odm' => "document ma&icirc;tre OpenDocument",
'odp' => "pr&eacute;sentation OpenDocument",
'ods' => "feuille de calcul OpenDocument",
'odt' => "document texte OpenDocument",
'oga' => "audio Ogg",
'ogg' => "audio Ogg Vorbis",
'ogm' => "contenant m&eacute;dias Ogg",
'ogv' => "vid&eacute;o Ogg",
'ogv' => "vid&eacute;o Ogg",
'otc' => "gabarit de tableau OpenDocument",
'otf' => "gabarit de formule OpenDocument",
'otg' => "gabarit de dessin OpenDocument",
'oth' => "gabarit <acronym title=\"Hypertext Markup Language\">HTML</acronym> OpenDocument",
'oti' => "gabarit d'image OpenDocument",
'otp' => "gabarit de pr&eacute;sentation OpenDocument",
'ots' => "gabarit de feuille de calcul OpenDocument",
'ott' => "gabarit de texte OpenDocument",
'pct' => "image Apple PICT",
'pcx' => "image Personal Computer Exchange",
'pdf' => "document <acronym title=\"Portable Document Format\">PDF</acronym>",
'pls' => "liste d'&eacute;coute audio",
'png' => "image <acronym title=\"Portable Network Graphics\">PNG</acronym>",
'png' => "image <acronym title=\"Portable Network Graphics\">PNG</acronym>",
'pot' => "gabarit Microsoft PowerPoint",
'potx' => "gabarit Microsoft PowerPoint Open <acronym title=\"Extensible Markup Language\">XML</acronym>",
'pps' => "diaporama Microsoft PowerPoint",
'ppsx' => "diaporama Microsoft PowerPoint Open <acronym title=\"Extensible Markup Language\">XML</acronym>",
'ppt' => "pr&eacute;sentation Microsoft PowerPoint",
'pptx' => "pr&eacute;sentation Microsoft PowerPoint Open <acronym title=\"Extensible Markup Language\">XML</acronym>",
'ps' => "image PostScript",
'qt' => "vid&eacute;o QuickTime",
'ra' => "audio Real",
'ra' => "audio Real",
'ram' => "audio Real",
'rm' => "m&eacute;dias format Real",
'rpm' => "RealAudio plugin",
'rtf' => "Rich text format",
'rtf' => "document en format texte riche",
'rv' => "vid&eacute;o Real",
'sit' => "archive Stuffit",
'sldx' => "Microsoft PowerPoint Open <acronym title=\"Extensible Markup Language\">XML</acronym> Slide",
'smi' => "pr&eacute;sentation <acronym title=\"Synchronized Multimedia Integration Language\">SMIL</acronym>",
'smil' => "pr&eacute;sentation <acronym title=\"Synchronized Multimedia Integration Language\">SMIL</acronym>",
'svg' => "image vectorielle format <acronym title=\"Scalable Vector Graphics\">SVG</acronym>",
'swf' => "Flash",
'tar' => "archive UNIX Tar",
'text' => "texte",
'tgz' => "archive Tar GNU zip",
'tif' => "image <acronym title=\"Tagged Image File Format\">TIFF</acronym>",
'tiff' => "image <acronym title=\"Tagged Image File Format\">TIFF</acronym>",
'tsv' => "texte de donn&eacute;es avec valeurs s&eacute;par&eacute;s par des caract&egrave;res de tabulation",
'txt' => "document texte",
'wav' => "audio WAV",
'wm' => "Windows Media",
'wma' => "audio Windows Media",
'wmf' => "Windows MetaFile",
'wmv' => "vid&eacute;o Windows Media",
'wmx' => "redirecteur Windows Media",
'wp' => "document WordPerfect",
'wp5' => "document WordPerfect",
'wp5' => "document WordPerfect",
'wp6' => "document WordPerfect",
'wpd' => "document WordPerfect",
'wpd' => "document WordPerfect",
'wpl' => "liste d'&eacute;coute Windows Media",
'wvx' => "redirecteur vid&eacute;o Windows Media",
'xls' => "feuille de calcul Microsoft Excel",
'xlsx' => "feuille de calcul Microsoft Excel Open <acronym title=\"Extensible Markup Language\">XML</acronym>",
'xlt' => "gabarit de feuille de calcul Microsoft Excel",
'xltx' => "gabarit de feuille de calcul Microsoft Excel Open <acronym title=\"Extensible Markup Language\">XML</acronym>",
'xml' => "langage <acronym title=\"Extensible Markup Language\">XML</acronym>",
'zip' => "archive Zip",
);




?>